> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the network address book nodes

> Returns the network's list of nodes used in consensus



## OpenAPI

````yaml /openapi.yaml get /api/v1/network/nodes
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/network/nodes:
    get:
      tags:
        - network
      summary: Get the network address book nodes
      description: Returns the network's list of nodes used in consensus
      operationId: getNetworkNodes
      parameters:
        - $ref: '#/components/parameters/fileIdQueryParam'
        - $ref: '#/components/parameters/limitQueryParam'
        - $ref: '#/components/parameters/nodeIdQueryParam'
        - $ref: '#/components/parameters/orderQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkNodesResponse'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
components:
  parameters:
    fileIdQueryParam:
      name: file.id
      description: The ID of the file entity
      in: query
      examples:
        noValue:
          summary: '--'
          value: ''
        entityNumNoOperator:
          summary: Example of entityNum equals with no operator
          value: 100
        idNoOperator:
          summary: Example of id equals with no operator
          value: 0.0.100
        entityNumEqOperator:
          summary: Example of entityNum equals operator
          value: eq:200
        idEqOperator:
          summary: Example of id equals operator
          value: eq:0.0.200
      schema:
        $ref: '#/components/schemas/EntityIdQuery'
    limitQueryParam:
      name: limit
      in: query
      description: The maximum number of items to return
      example: 2
      schema:
        format: int32
        type: integer
        default: 25
        minimum: 1
        maximum: 100
    nodeIdQueryParam:
      name: node.id
      description: The ID of the node
      in: query
      examples:
        noValue:
          summary: '--'
          value: ''
        serialNumNoOperator:
          summary: Example of nodeId equals with no operator
          value: 1
        serialNumEqOperator:
          summary: Example of nodeId equals operator
          value: eq:2
        serialNumGtOperator:
          summary: Example of nodeId greater than operator
          value: gt:3
        serialNumGteOperator:
          summary: Example of nodeId greater than or equals operator
          value: gte:4
        serialNumLtOperator:
          summary: Example of nodeId less than operator
          value: lt:5
        serialNumLteOperator:
          summary: Example of nodeId less than or equals operator
          value: lte:6
      schema:
        type: string
        pattern: ^((eq|gt|gte|lt|lte):)?\d{1,19}$
    orderQueryParam:
      name: order
      in: query
      description: The order in which items are listed
      example: desc
      schema:
        enum:
          - asc
          - desc
        default: asc
  schemas:
    NetworkNodesResponse:
      type: object
      required:
        - nodes
        - links
      properties:
        nodes:
          $ref: '#/components/schemas/NetworkNodes'
        links:
          $ref: '#/components/schemas/Links'
    EntityIdQuery:
      type: string
      pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
    NetworkNodes:
      type: array
      items:
        $ref: '#/components/schemas/NetworkNode'
    Links:
      type: object
      properties:
        next:
          example: null
          nullable: true
          type: string
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    NetworkNode:
      type: object
      required:
        - admin_key
        - associated_registered_nodes
        - decline_reward
        - description
        - file_id
        - grpc_proxy_endpoint
        - max_stake
        - memo
        - min_stake
        - node_account_id
        - node_id
        - node_cert_hash
        - public_key
        - reward_rate_start
        - service_endpoints
        - stake
        - stake_not_rewarded
        - stake_rewarded
        - staking_period
        - timestamp
      properties:
        admin_key:
          $ref: '#/components/schemas/Key'
        associated_registered_nodes:
          type: array
          items:
            format: int64
            minimum: 0
            type: integer
        decline_reward:
          description: Whether the node wants to receive staking rewards or not.
          nullable: true
          type: boolean
        description:
          description: a memo associated with the address book
          nullable: true
          type: string
        file_id:
          $ref: '#/components/schemas/EntityId'
        grpc_proxy_endpoint:
          $ref: '#/components/schemas/ServiceEndpoint'
        max_stake:
          description: >-
            The maximum stake (rewarded or not rewarded) this node can have as
            consensus weight
          type: integer
          format: int64
          nullable: true
        memo:
          description: memo
          nullable: true
          type: string
        min_stake:
          description: >
            The minimum stake (rewarded or not rewarded) this node must reach
            before having non-zero consensus weight
          type: integer
          format: int64
          nullable: true
        node_account_id:
          $ref: '#/components/schemas/EntityId'
        node_id:
          description: An identifier for the node
          format: int64
          type: integer
        node_cert_hash:
          description: hex encoded hash of the node's TLS certificate
          nullable: true
          type: string
        public_key:
          description: hex encoded X509 RSA public key used to verify stream file signature
          nullable: true
          type: string
        reward_rate_start:
          description: >-
            The total tinybars earned by this node per whole hbar in the last
            staking period
          format: int64
          nullable: true
          type: integer
        service_endpoints:
          $ref: '#/components/schemas/ServiceEndpoints'
        stake:
          description: The node consensus weight at the beginning of the staking period
          format: int64
          nullable: true
          type: integer
        stake_not_rewarded:
          description: >
            The sum (balance + stakedToMe) for all accounts staked to this node
            with declineReward=true at the

            beginning of the staking period
          format: int64
          nullable: true
          type: integer
        stake_rewarded:
          description: >
            The sum (balance + staked) for all accounts staked to the node that
            are not declining rewards at the

            beginning of the staking period
          format: int64
          nullable: true
          type: integer
        staking_period:
          allOf:
            - $ref: '#/components/schemas/TimestampRangeNullable'
            - description: The timestamp range of the staking period
        timestamp:
          $ref: '#/components/schemas/TimestampRange'
      example:
        admin_key:
          _type: ED25519
          key: 15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743
        associated_registered_nodes:
          - 1
          - 10
        decline_reward: false
        description: address book 1
        file_id: 0.0.102
        max_stake: 50000
        memo: 0.0.4
        min_stake: 1000
        node_account_id: 0.0.4
        node_cert_hash: >-
          0x01d173753810c0aae794ba72d5443c292e9ff962b01046220dd99f5816422696e0569c977e2f169e1e5688afc8f4aa16
        node_id: 1
        public_key: '0x4a5ad514f0957fa170a676210c9bdbddf3bc9519702cf915fa6767a40463b96f'
        reward_rate_start: 1000000
        service_endpoints:
          - ip_address_v4: 128.0.0.6
            port: 50216
        stake: 20000
        stake_not_rewarded: 19900
        stake_rewarded: 100
        staking_period:
          from: '1655164800.000000000'
          to: '1655251200.000000000'
        timestamp:
          from: '187654.000123457'
          to: null
    Key:
      description: The public key which controls access to various network entities.
      type: object
      nullable: true
      properties:
        _type:
          type: string
          enum:
            - ECDSA_SECP256K1
            - ED25519
            - ProtobufEncoded
          example: ProtobufEncoded
        key:
          type: string
          example: 15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    ServiceEndpoint:
      type: object
      required:
        - domain_name
        - ip_address_v4
        - port
      properties:
        domain_name:
          type: string
        ip_address_v4:
          type: string
        port:
          format: int32
          type: integer
      example:
        domain_name: www.example.com
        ip_address_v4: 127.0.0.1
        port: 50211
    ServiceEndpoints:
      type: array
      items:
        $ref: '#/components/schemas/ServiceEndpoint'
    TimestampRangeNullable:
      type: object
      description: A timestamp range an entity is valid for
      nullable: true
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/Timestamp'
            - description: The inclusive from timestamp in seconds
        to:
          allOf:
            - $ref: '#/components/schemas/TimestampNullable'
            - description: The exclusive to timestamp in seconds
    TimestampRange:
      type: object
      description: A timestamp range an entity is valid for
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/Timestamp'
            - description: The inclusive from timestamp in seconds
        to:
          allOf:
            - $ref: '#/components/schemas/TimestampNullable'
            - description: The exclusive to timestamp in seconds
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
    TimestampNullable:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
      nullable: true
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds

````